package com.lightinit.hsdataplatform.mapper;

import com.lightinit.hsdataplatform.entity.ResourceApi;
import com.lightinit.hsdataplatform.entity.ResourceApiExample;
import java.util.List;

import com.lightinit.hsdataplatform.model.admin.APIPublishListModel;
import com.lightinit.hsdataplatform.model.admin.APIPublishSearchModel;
import com.lightinit.hsdataplatform.model.admin.ResourceAPIRegisterListModel;
import com.lightinit.hsdataplatform.model.admin.ResourceAPIRegisterSearchModel;
import org.apache.ibatis.annotations.Param;

public interface ResourceApiMapper {
    long countByExample(ResourceApiExample example);

    int deleteByExample(ResourceApiExample example);

    int deleteByPrimaryKey(Long id);

    int insert(ResourceApi record);

    int insertSelective(ResourceApi record);

    List<ResourceApi> selectByExampleWithBLOBs(ResourceApiExample example);

    List<ResourceApi> selectByExample(ResourceApiExample example);

    ResourceApi selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") ResourceApi record, @Param("example") ResourceApiExample example);

    int updateByExampleWithBLOBs(@Param("record") ResourceApi record, @Param("example") ResourceApiExample example);

    int updateByExample(@Param("record") ResourceApi record, @Param("example") ResourceApiExample example);

    int updateByPrimaryKeySelective(ResourceApi record);

    int updateByPrimaryKeyWithBLOBs(ResourceApi record);

    int updateByPrimaryKey(ResourceApi record);

    List<ResourceAPIRegisterListModel> queryRegisterApiAllList(ResourceAPIRegisterSearchModel inputModel);

    long queryRegisterApiCount(ResourceAPIRegisterSearchModel inputModel);

}